# Generated from interface-1.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name interface

Name: rubygem-%{gem_name}
Version: 1.0.5
Release: 1%{?dist}
Summary: Java style interfaces for Ruby
License: Artistic-2.0
URL: http://github.com/djberg96/interface
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit)
BuildArch: noarch

%description
The interface library implements Java style interfaces for Ruby.
It lets you define a set a methods that must be defined in the
including class or module, or an error is raised.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/CHANGES
%{gem_instdir}/MANIFEST
%{gem_instdir}/certs
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/interface.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.5-1
- Initial package
